{ inputs, pkgs, ... }:
pkgs.nixosTest {
  name = "hetzner-will-boot";
  nodes.machine =
    { ... }:
    {
      imports = [ inputs.self.nixosModules.default ];
      khscodes.hetzner = {
        enable = true;
        ipv6-addr = "dead:beef:cafe::1";
      };
      system.stateVersion = "25.05";
    };
  testScript = ''
    machine.start(allow_reboot = True)
    machine.wait_for_unit("multi-user.target")
    ipv6 = machine.succeed("ip addr")
    assert "dead:beef:cafe::1" in ipv6
  '';
}
